Chapter 8. logs
Access usage logs for organizations or repositories.
8.1. getAggregateUserLogs Copy linkLink copied to clipboard!
Returns the aggregated logs for the current user.
8.1.1. GET /api/v1/user/aggregatelogs Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (user:admin)
8.1.2. Query parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| query | performer optional | Username for which to filter logs. | string |
| query | endtime optional | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query | starttime optional | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
8.1.3. Responses Copy linkLink copied to clipboard!
8.1.4. Example command Copy linkLink copied to clipboard!
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
"<quay-server.example.com>/api/v1/user/aggregatelogs?performer=<username>&starttime=<MM/DD/YYYY>&endtime=<MM/DD/YYYY>"
8.2. exportUserLogs Copy linkLink copied to clipboard!
Returns the aggregated logs for the current user.
8.2.1. POST /api/v1/user/exportlogs Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (user:admin)
8.2.2. Query parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| query | endtime optional | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query | starttime optional | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
8.2.3. Request body schema (application/json) Copy linkLink copied to clipboard!
Configuration for an export logs operation
| Name | Description | Schema |
|---|---|---|
| callback_url optional | The callback URL to invoke with a link to the exported logs | string |
| callback_email optional | The e-mail address at which to e-mail a link to the exported logs | string |
8.2.4. Responses Copy linkLink copied to clipboard!
8.2.5. Example command Copy linkLink copied to clipboard!
$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
"starttime": "<MM/DD/YYYY>",
"endtime": "<MM/DD/YYYY>",
"callback_email": "your.email@example.com"
}' \
"http://<quay-server.example.com>/api/v1/user/exportlogs"
8.3. listUserLogs Copy linkLink copied to clipboard!
List the logs for the current user.
8.3.1. GET /api/v1/user/logs Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (user:admin)
8.3.2. Query parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| query | next_page optional | The page token for the next page | string |
| query | performer optional | Username for which to filter logs. | string |
| query | endtime optional | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query | starttime optional | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
8.3.3. Responses Copy linkLink copied to clipboard!
8.3.4. Example command Copy linkLink copied to clipboard!
$ curl -X GET -H "Authorization: Bearer <bearer_token>" -H "Accept: application/json" "<quay-server.example.com>/api/v1/user/logs"
8.4. getAggregateOrgLogs Copy linkLink copied to clipboard!
Gets the aggregated logs for the specified organization.
8.4.1. GET /api/v1/organization/{orgname}/aggregatelogs Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (org:admin)
8.4.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | orgname required | The name of the organization | string |
8.4.3. Query parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| query | performer optional | Username for which to filter logs. | string |
| query | endtime optional | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query | starttime optional | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
8.4.4. Responses Copy linkLink copied to clipboard!
8.4.5. Example command Copy linkLink copied to clipboard!
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
"<quay-server.example.com>/api/v1/organization/{orgname}/aggregatelogs"
8.5. exportOrgLogs Copy linkLink copied to clipboard!
Exports the logs for the specified organization.
8.5.1. POST /api/v1/organization/{orgname}/exportlogs Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (org:admin)
8.5.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | orgname required | The name of the organization | string |
8.5.3. Query parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| query | endtime optional | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query | starttime optional | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
8.5.4. Request body schema (application/json) Copy linkLink copied to clipboard!
Configuration for an export logs operation
| Name | Description | Schema |
|---|---|---|
| callback_url optional | The callback URL to invoke with a link to the exported logs | string |
| callback_email optional | The e-mail address at which to e-mail a link to the exported logs | string |
8.5.5. Responses Copy linkLink copied to clipboard!
8.5.6. Example command Copy linkLink copied to clipboard!
$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
"starttime": "<MM/DD/YYYY>",
"endtime": "<MM/DD/YYYY>",
"callback_email": "org.logs@example.com"
}' \
"http://<quay-server.example.com>/api/v1/organization/{orgname}/exportlogs"
8.6. listOrgLogs Copy linkLink copied to clipboard!
List the logs for the specified organization.
8.6.1. GET /api/v1/organization/{orgname}/logs Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (org:admin)
8.6.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | orgname required | The name of the organization | string |
8.6.3. Query parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| query | next_page optional | The page token for the next page | string |
| query | performer optional | Username for which to filter logs. | string |
| query | endtime optional | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query | starttime optional | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
8.6.4. Responses Copy linkLink copied to clipboard!
8.6.5. Example command Copy linkLink copied to clipboard!
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
"http://<quay-server.example.com>/api/v1/organization/{orgname}/logs"
8.7. getAggregateRepoLogs Copy linkLink copied to clipboard!
Returns the aggregated logs for the specified repository.
8.7.1. GET /api/v1/repository/{repository}/aggregatelogs Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:admin)
8.7.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
8.7.3. Query parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| query | endtime optional | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query | starttime optional | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
8.7.4. Responses Copy linkLink copied to clipboard!
8.7.5. Example command Copy linkLink copied to clipboard!
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
"<quay-server.example.com>/api/v1/repository/<repository_name>/<namespace>/aggregatelogs?starttime=2024-01-01&endtime=2024-06-18""
8.8. exportRepoLogs Copy linkLink copied to clipboard!
Queues an export of the logs for the specified repository.
8.8.1. POST /api/v1/repository/{repository}/exportlogs Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:admin)
8.8.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
8.8.3. Query parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| query | endtime optional | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query | starttime optional | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
8.8.4. Request body schema (application/json) Copy linkLink copied to clipboard!
Configuration for an export logs operation
| Name | Description | Schema |
|---|---|---|
| callback_url optional | The callback URL to invoke with a link to the exported logs | string |
| callback_email optional | The e-mail address at which to e-mail a link to the exported logs | string |
8.8.5. Responses Copy linkLink copied to clipboard!
8.8.6. Example command Copy linkLink copied to clipboard!
$ curl -X POST \
-H "Authorization: Bearer <bearer_token>" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
"starttime": "2024-01-01",
"endtime": "2024-06-18",
"callback_url": "http://your-callback-url.example.com"
}' \
"http://<quay-server.example.com>/api/v1/repository/{repository}/exportlogs"
8.9. listRepoLogs Copy linkLink copied to clipboard!
List the logs for the specified repository.
8.9.1. GET /api/v1/repository/{repository}/logs Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:admin)
8.9.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
8.9.3. Query parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| query | next_page optional | The page token for the next page | string |
| query | endtime optional | Latest time for logs. Format: "%m/%d/%Y" in UTC. | string |
| query | starttime optional | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | string |
8.9.4. Responses Copy linkLink copied to clipboard!
8.9.5. Example command Copy linkLink copied to clipboard!
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
"http://<quay-server.example.com>/api/v1/repository/{repository}/logs"